local flashColors = {
	skincolors[SKINCOLOR_WHITEAL],
	skincolors[SKINCOLOR_BONEAL],
	skincolors[SKINCOLOR_CLOUDYAL],
	skincolors[SKINCOLOR_GREYAL],
	skincolors[SKINCOLOR_SILVERAL],
	skincolors[SKINCOLOR_CARBONAL],
	skincolors[SKINCOLOR_JETAL],
	skincolors[SKINCOLOR_BLACKAL],
	skincolors[SKINCOLOR_AETHERAL],
	skincolors[SKINCOLOR_SLATEAL],
	skincolors[SKINCOLOR_BLUEBELLAL],
	skincolors[SKINCOLOR_PINKAL],
	skincolors[SKINCOLOR_YOGURTAL],
	skincolors[SKINCOLOR_BROWNAL],
	skincolors[SKINCOLOR_BRONZEAL],
	skincolors[SKINCOLOR_TANAL],
	skincolors[SKINCOLOR_BEIGEAL],
	skincolors[SKINCOLOR_MOSSAL],
	skincolors[SKINCOLOR_AZUREAL],
	skincolors[SKINCOLOR_LAVENDERAL],
	skincolors[SKINCOLOR_RUBYAL],
	skincolors[SKINCOLOR_SALMONAL],
	skincolors[SKINCOLOR_REDAL],
	skincolors[SKINCOLOR_CRIMSONAL],
	skincolors[SKINCOLOR_FLAMEAL],
	skincolors[SKINCOLOR_KETCHUPAL],
	skincolors[SKINCOLOR_PEACHYAL],
	skincolors[SKINCOLOR_QUAILAL],
	skincolors[SKINCOLOR_SUNSETAL],
	skincolors[SKINCOLOR_COPPERAL],
	skincolors[SKINCOLOR_APRICOTAL],
	skincolors[SKINCOLOR_ORANGEAL],
	skincolors[SKINCOLOR_RUSTAL],
	skincolors[SKINCOLOR_GOLDAL],
	skincolors[SKINCOLOR_SANDYAL],
	skincolors[SKINCOLOR_YELLOWAL],
	skincolors[SKINCOLOR_OLIVEAL],
	skincolors[SKINCOLOR_LIMEAL],
	skincolors[SKINCOLOR_PERIDOTAL],
	skincolors[SKINCOLOR_APPLEAL],
	skincolors[SKINCOLOR_GREENAL],
	skincolors[SKINCOLOR_FORESTAL],
	skincolors[SKINCOLOR_EMERALDAL],
	skincolors[SKINCOLOR_MINTAL],
	skincolors[SKINCOLOR_SEAFOAMAL],
	skincolors[SKINCOLOR_AQUAAL],
	skincolors[SKINCOLOR_TEALAL],
	skincolors[SKINCOLOR_WAVEAL],
	skincolors[SKINCOLOR_CYANAL],
	skincolors[SKINCOLOR_SKYAL],
	skincolors[SKINCOLOR_CERULEANAL],
	skincolors[SKINCOLOR_ICYAL],
	skincolors[SKINCOLOR_SAPPHIREAL],
	skincolors[SKINCOLOR_CORNFLOWERAL],
	skincolors[SKINCOLOR_BLUEAL],
	skincolors[SKINCOLOR_COBALTAL],
	skincolors[SKINCOLOR_VAPORAL],
	skincolors[SKINCOLOR_DUSKAL],
	skincolors[SKINCOLOR_PASTELAL],
	skincolors[SKINCOLOR_PURPLEAL],
	skincolors[SKINCOLOR_BUBBLEGUMAL],
	skincolors[SKINCOLOR_MAGENTAAL],
	skincolors[SKINCOLOR_NEONAL],
	skincolors[SKINCOLOR_VIOLETAL],
	skincolors[SKINCOLOR_LILACAL],
	skincolors[SKINCOLOR_PLUMAL],
	skincolors[SKINCOLOR_RASPBERRYAL],
	skincolors[SKINCOLOR_ROSYAL]
}
local flashDelay = 1  //change this to how many tics it takes to animate

local rampPos = 1
local rampDir = true
local ramps = {}

for curcol = 1, table.maxn(flashColors), 1
	ramps[curcol] = {{}}
	for i = 0, 15, 1
		ramps[curcol][1][i+1] = flashColors[curcol].ramp[i]
	end

	for i = 2, 16,1
		ramps[curcol][i] = {}

		for pos,val in ipairs(ramps[curcol][i-1]) do
			if not (pos == 16) then
				ramps[curcol][i][pos+1] = val
			else
				ramps[curcol][i][1] = val
			end
		end
	end
end

local function RampChange()
	if (rampDir) then
		rampPos = $1+1
	else
		rampPos = $1-1
	end
end

local function RampLoop()
	if not (leveltime % flashDelay) then

		RampChange()
		
		if not (ramps[1][rampPos])
			rampDir = not rampDir
			RampChange()
		end
		
		for i = 1, table.maxn(ramps), 1
			flashColors[i].ramp = ramps[i][rampPos]
		end
	end
end

addHook("ThinkFrame", RampLoop)